diff -uwr sourceold/scripts/tcw_domination.cpp source/scripts/tcw_domination.cpp
--- sourceold/scripts/tcw_domination.cpp	2012-02-02 09:44:43.144531200 +0800
+++ source/scripts/tcw_domination.cpp	2012-06-09 08:11:12.146484300 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
@@ -20,6 +20,7 @@
 #include "SoldierGameObj.h"
 #include "VehicleGameObj.h"
 
+//0=nod 1=gdi 2=neu current animations for spawnpads
 
 void tcw_domination_control::Created(GameObject *obj)
 {
@@ -151,26 +152,67 @@
 
 void tcw_domination_node::Created(GameObject *obj)
 {
+	Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,2,2,false);
+	spawnpad1 = Get_Int_Parameter("SpawnPad1ID");
+	if (Commands->Find_Object(spawnpad1))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
+	spawnpad2 = Get_Int_Parameter("SpawnPad2ID");
+	if (Commands->Find_Object(spawnpad2))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
+	spawnpad3 = Get_Int_Parameter("SpawnPad3ID");
+	if (Commands->Find_Object(spawnpad3))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
+	spawnpad4 = Get_Int_Parameter("SpawnPad4ID");
+	if (Commands->Find_Object(spawnpad4))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
 	nodename = Get_Parameter("Node_Name");
 	owner = -2;
 	nodveh1id = 0;	nodveh2id = 0; nodveh3id = 0;	nodveh4id = 0; nodveh5id = 0;
 	gdiveh1id = 0;	gdiveh2id = 0; gdiveh3id = 0;	gdiveh4id = 0; gdiveh5id = 0;
+	trigger_neutral_damage = true;
+	Commands->Start_Timer(obj,this,60.0f,200200);//recheck spawns for nod
+	Commands->Start_Timer(obj,this,60.0f,200201);//recheck spawns for gdi
 }
 void tcw_domination_node::Damaged(GameObject *obj, GameObject *damager, float damage)
 {
-	if (damage < 0.0f)
+	if ((damage < 0.0f) && (Commands->Get_Player_Type(obj) == -2))
 	{
-		if (owner == -2)
+		if (Commands->Get_Health(obj) == Commands->Get_Max_Health(obj))//if node fully repaired
 		{
-			owner = Commands->Get_Player_Type(damager);
-			Commands->Set_Player_Type(obj,Commands->Get_Player_Type(damager));
+			trigger_neutral_damage = true;
+			int team = Commands->Get_Player_Type(damager);
+			if (team == 0)
+			{
+				char params[250]; sprintf(params,"%d",team);
+				Attach_Script_Once(obj,"tcw_domination_pointgen",params);
+				owner = 0;
+				Commands->Set_Player_Type(obj,0);
+
+				Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,0,0,false);
+				if (Commands->Find_Object(spawnpad1))
+				{
+					Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
 		}
-		else if (owner == 0)
+				if (Commands->Find_Object(spawnpad2))
 		{
-			//owner = Commands->Get_Player_Type(damager);
-			if (Commands->Get_Health(obj) == Commands->Get_Max_Health(obj))//if node fully repaired
+					Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
+				}
+				if (Commands->Find_Object(spawnpad3))
 			{
-				Attach_Script_Once(obj,"tcw_domination_pointgen","0");
+					Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
+				}
+				if (Commands->Find_Object(spawnpad4))
+				{
+					Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
+				}
 
 				if (!Commands->Find_Object(nodveh1id))
 				{
@@ -235,19 +277,35 @@
 
 				char capturemsg[250];	sprintf(capturemsg,"Nod captured the %s Control Point.",nodename);	Send_Message(255,255,255,capturemsg);
 				Create_2D_WAV_Sound_Team("ControlPointCaptured_Nod.wav",0); 
-				Create_2D_WAV_Sound_Team("ControlPointLost_GDI.wav",1);
 				if (Commands->Get_Player_Type(damager) == Commands->Get_Player_Type(obj))
 				{
 					Commands->Give_Money(damager,500.0f,true);
 				}
 			}
+			else if (team == 1)
+			{
+				char params[250]; sprintf(params,"%d",team);
+				Attach_Script_Once(obj,"tcw_domination_pointgen",params);
+				owner = 1;
+				Commands->Set_Player_Type(obj,1);
+
+				Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,1,1,false);
+				if (Commands->Find_Object(spawnpad1))
+				{
+					Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
 		}
-		else if (owner == 1)
+				if (Commands->Find_Object(spawnpad2))
 		{
-			//owner = Commands->Get_Player_Type(damager);
-			if (Commands->Get_Health(obj) == Commands->Get_Max_Health(obj))//if node fully repaired
+					Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
+				}
+				if (Commands->Find_Object(spawnpad3))
+				{
+					Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
+				}
+				if (Commands->Find_Object(spawnpad4))
 			{
-				Attach_Script_Once(obj,"tcw_domination_pointgen","1");
+					Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
+				}
 
 				if (!Commands->Find_Object(gdiveh1id))
 				{
@@ -312,7 +370,6 @@
 
 				char capturemsg[250];	sprintf(capturemsg,"GDI captured the %s Control Point.",nodename);	Send_Message(255,255,255,capturemsg);
 				Create_2D_WAV_Sound_Team("ControlPointCaptured_GDI.wav",1); 
-				Create_2D_WAV_Sound_Team("ControlPointLost_Nod.wav",0);
 				if (Commands->Get_Player_Type(damager) == Commands->Get_Player_Type(obj))
 				{
 					Commands->Give_Money(damager,500.0f,true);
@@ -320,23 +377,25 @@
 			}
 		}
 	}
-	else if (damage > 0.0f)
+	else if (damage > 0.0f)//it is being attacked by enemy
 	{
 		if (damage > Commands->Get_Health(obj))//if node fully destroyed
 		{
-			Remove_Script(obj,"tcw_domination_pointgen");
-			if (owner == -2)
-			{
-				Commands->Set_Player_Type(obj,-2);
 				Commands->Set_Health(obj,1.1f);
-			}
-			else
+			Commands->Set_Player_Type(obj,-2);
+			if (trigger_neutral_damage)
 			{
-				Commands->Set_Health(obj,1.1f);
-				Commands->Set_Player_Type(obj,Commands->Get_Player_Type(damager));
+				trigger_neutral_damage = false;
+				Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+				Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+				Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+				Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+				Remove_Script(obj,"tcw_domination_pointgen");
+				Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,2,2,false);
 
 				if (owner == 0)
 				{
+					Create_2D_WAV_Sound_Team("ControlPointLost_Nod.wav",0);
 					if ( (Commands->Find_Object(nodveh1id)) && (!Get_Vehicle_Driver(Commands->Find_Object(nodveh1id))) )
 					{
 						Commands->Apply_Damage(Commands->Find_Object(nodveh1id),99999.0f,"Steel",obj);		nodveh1id = 0;
@@ -360,6 +419,7 @@
 				}
 				else if (owner == 1)
 				{
+					Create_2D_WAV_Sound_Team("ControlPointLost_GDI.wav",1);
 					if ( (Commands->Find_Object(gdiveh1id)) && (!Get_Vehicle_Driver(Commands->Find_Object(gdiveh1id))) )
 					{
 						Commands->Apply_Damage(Commands->Find_Object(gdiveh1id),99999.0f,"Steel",obj);		gdiveh1id = 0;
@@ -381,10 +441,146 @@
 						Commands->Apply_Damage(Commands->Find_Object(gdiveh5id),99999.0f,"Steel",obj);		gdiveh5id = 0;
 					}
 				}
-
-				owner = Commands->Get_Player_Type(damager);
+				owner = -2;
+			}
+		}
+	}
+}
+void tcw_domination_node::Timer_Expired(GameObject *obj, int number)
+{
+	if (number == 200200)
+	{
+		if (owner == 0)
+		{
+			if (!Commands->Find_Object(nodveh1id))
+			{
+				if (strcmp(Get_Parameter("NodVeh1"), "0") != 0)
+				{
+					Vector3 nodveh1pos = Get_Vector3_Parameter("NodVeh1Pos");
+					float nodveh1fac = Get_Float_Parameter("NodVeh1Facing");
+					GameObject *nodveh1 = Commands->Create_Object(Get_Parameter("NodVeh1"),nodveh1pos);
+					Commands->Set_Facing(nodveh1,nodveh1fac);
+					nodveh1id = Commands->Get_ID(nodveh1);
+					Attach_Script_Once(nodveh1,"tcw_domination_vehicle","0");
+				}
+			}
+			if (!Commands->Find_Object(nodveh2id))
+			{
+				if (strcmp(Get_Parameter("NodVeh2"), "0") != 0)
+				{
+					Vector3 nodveh2pos = Get_Vector3_Parameter("NodVeh2Pos");
+					float nodveh2fac = Get_Float_Parameter("NodVeh2Facing");
+					GameObject *nodveh2 = Commands->Create_Object(Get_Parameter("NodVeh2"),nodveh2pos);
+					Commands->Set_Facing(nodveh2,nodveh2fac);
+					nodveh2id = Commands->Get_ID(nodveh2);
+					Attach_Script_Once(nodveh2,"tcw_domination_vehicle","0");
+				}
+			}
+			if (!Commands->Find_Object(nodveh3id))
+			{
+				if (strcmp(Get_Parameter("NodVeh3"), "0") != 0)
+				{
+					Vector3 nodveh3pos = Get_Vector3_Parameter("NodVeh3Pos");
+					float nodveh3fac = Get_Float_Parameter("NodVeh3Facing");
+					GameObject *nodveh3 = Commands->Create_Object(Get_Parameter("NodVeh3"),nodveh3pos);
+					Commands->Set_Facing(nodveh3,nodveh3fac);
+					nodveh3id = Commands->Get_ID(nodveh3);
+					Attach_Script_Once(nodveh3,"tcw_domination_vehicle","0");
+				}
+			}
+			if (!Commands->Find_Object(nodveh4id))
+			{
+				if (strcmp(Get_Parameter("NodVeh4"), "0") != 0)
+				{
+					Vector3 nodveh4pos = Get_Vector3_Parameter("NodVeh4Pos");
+					float nodveh4fac = Get_Float_Parameter("NodVeh4Facing");
+					GameObject *nodveh4 = Commands->Create_Object(Get_Parameter("NodVeh4"),nodveh4pos);
+					Commands->Set_Facing(nodveh4,nodveh4fac);
+					nodveh4id = Commands->Get_ID(nodveh4);
+					Attach_Script_Once(nodveh4,"tcw_domination_vehicle","0");
+				}
+			}
+			if (!Commands->Find_Object(nodveh5id))
+			{
+				if (strcmp(Get_Parameter("NodVeh5"), "0") != 0)
+				{
+					Vector3 nodveh5pos = Get_Vector3_Parameter("NodVeh5Pos");
+					float nodveh5fac = Get_Float_Parameter("NodVeh5Facing");
+					GameObject *nodveh5 = Commands->Create_Object(Get_Parameter("NodVeh5"),nodveh5pos);
+					Commands->Set_Facing(nodveh5,nodveh5fac);
+					nodveh5id = Commands->Get_ID(nodveh5);
+					Attach_Script_Once(nodveh5,"tcw_domination_vehicle","0");
+				}
+			}
+		}
+		Commands->Start_Timer(obj,this,60.0f,200200);//recheck spawns
+	}
+	else if (number == 200201)
+	{
+		if (owner == 1)
+		{
+			if (!Commands->Find_Object(gdiveh1id))
+			{
+				if (strcmp(Get_Parameter("GDIVeh1"), "0") != 0)
+				{
+					Vector3 gdiveh1pos = Get_Vector3_Parameter("GDIVeh1Pos");
+					float gdiveh1fac = Get_Float_Parameter("GDIVeh1Facing");
+					GameObject *gdiveh1 = Commands->Create_Object(Get_Parameter("GDIVeh1"),gdiveh1pos);
+					Commands->Set_Facing(gdiveh1,gdiveh1fac);
+					gdiveh1id = Commands->Get_ID(gdiveh1);
+					Attach_Script_Once(gdiveh1,"tcw_domination_vehicle","1");
+				}
+			}
+			if (!Commands->Find_Object(gdiveh2id))
+			{
+				if (strcmp(Get_Parameter("GDIVeh2"), "0") != 0)
+				{
+					Vector3 gdiveh2pos = Get_Vector3_Parameter("GDIVeh2Pos");
+					float gdiveh2fac = Get_Float_Parameter("GDIVeh2Facing");
+					GameObject *gdiveh2 = Commands->Create_Object(Get_Parameter("GDIVeh2"),gdiveh2pos);
+					Commands->Set_Facing(gdiveh2,gdiveh2fac);
+					gdiveh2id = Commands->Get_ID(gdiveh2);
+					Attach_Script_Once(gdiveh2,"tcw_domination_vehicle","1");
+				}
+			}
+			if (!Commands->Find_Object(gdiveh3id))
+			{
+				if (strcmp(Get_Parameter("GDIVeh3"), "0") != 0)
+				{
+					Vector3 gdiveh3pos = Get_Vector3_Parameter("GDIVeh3Pos");
+					float gdiveh3fac = Get_Float_Parameter("GDIVeh3Facing");
+					GameObject *gdiveh3 = Commands->Create_Object(Get_Parameter("GDIVeh3"),gdiveh3pos);
+					Commands->Set_Facing(gdiveh3,gdiveh3fac);
+					gdiveh3id = Commands->Get_ID(gdiveh3);
+					Attach_Script_Once(gdiveh3,"tcw_domination_vehicle","1");
+				}
+			}
+			if (!Commands->Find_Object(gdiveh4id))
+			{
+				if (strcmp(Get_Parameter("GDIVeh4"), "0") != 0)
+				{
+					Vector3 gdiveh4pos = Get_Vector3_Parameter("GDIVeh4Pos");
+					float gdiveh4fac = Get_Float_Parameter("GDIVeh4Facing");
+					GameObject *gdiveh4 = Commands->Create_Object(Get_Parameter("GDIVeh4"),gdiveh4pos);
+					Commands->Set_Facing(gdiveh4,gdiveh4fac);
+					gdiveh4id = Commands->Get_ID(gdiveh4);
+					Attach_Script_Once(gdiveh4,"tcw_domination_vehicle","1");
+				}
+			}
+			if (!Commands->Find_Object(gdiveh5id))
+			{
+				if (strcmp(Get_Parameter("GDIVeh5"), "0") != 0)
+				{
+					Vector3 gdiveh5pos = Get_Vector3_Parameter("GDIVeh5Pos");
+					float gdiveh5fac = Get_Float_Parameter("GDIVeh5Facing");
+					GameObject *gdiveh5 = Commands->Create_Object(Get_Parameter("GDIVeh5"),gdiveh5pos);
+					Commands->Set_Facing(gdiveh5,gdiveh5fac);
+					gdiveh5id = Commands->Get_ID(gdiveh5);
+					Attach_Script_Once(gdiveh5,"tcw_domination_vehicle","1");
+				}
 			}
 		}
+		Commands->Start_Timer(obj,this,60.0f,200201);//recheck spawns
 	}
 }
 void tcw_domination_node::Register_Auto_Save_Variables()
@@ -401,6 +597,10 @@
 	Auto_Save_Variable(&gdiveh3id,sizeof(gdiveh3id),10);
 	Auto_Save_Variable(&gdiveh4id,sizeof(gdiveh4id),11);
 	Auto_Save_Variable(&gdiveh5id,sizeof(gdiveh5id),12);
+	Auto_Save_Variable(&spawnpad1,sizeof(spawnpad1),13);
+	Auto_Save_Variable(&spawnpad2,sizeof(spawnpad2),14);
+	Auto_Save_Variable(&spawnpad3,sizeof(spawnpad3),15);
+	Auto_Save_Variable(&spawnpad4,sizeof(spawnpad4),16);
 }
 
 void tcw_domination_vehicle::Custom(GameObject *obj, int message, int param, GameObject *sender)
@@ -472,27 +672,27 @@
 					if (!Find_Object_With_Script("tcw_wmd_strike"))//if there is no existing strike
 					{
 						//gdi buildings attacks:
-						if ( (!Is_Building_Dead(Find_Building(1,BuildingConstants::TYPE_SOLDIER_FACTORY))) && (Find_Building(1,BuildingConstants::TYPE_SOLDIER_FACTORY)) )//if bar is alive, target it....
+						if ( (!Is_Building_Dead(Find_Building_By_Type(1,BuildingConstants::TYPE_SOLDIER_FACTORY))) && (Find_Building_By_Type(1,BuildingConstants::TYPE_SOLDIER_FACTORY)) )//if bar is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_SOLDIER_FACTORY));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_SOLDIER_FACTORY));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","4");//pass 4 for bar
 						}
-						else if ( (!Is_Building_Dead(Find_Building(1,BuildingConstants::TYPE_VEHICLE_FACTORY))) && (Find_Building(1,BuildingConstants::TYPE_VEHICLE_FACTORY)) )//if gwf is alive, target it....
+						else if ( (!Is_Building_Dead(Find_Building_By_Type(1,BuildingConstants::TYPE_VEHICLE_FACTORY))) && (Find_Building_By_Type(1,BuildingConstants::TYPE_VEHICLE_FACTORY)) )//if gwf is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_VEHICLE_FACTORY));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_VEHICLE_FACTORY));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","5");//pass 5 for gwf
 						}
-						else if ( (!Is_Building_Dead(Find_Building(1,BuildingConstants::TYPE_REFINERY))) && (Find_Building(1,BuildingConstants::TYPE_REFINERY)) )//if grf is alive, target it....
+						else if ( (!Is_Building_Dead(Find_Building_By_Type(1,BuildingConstants::TYPE_REFINERY))) && (Find_Building_By_Type(1,BuildingConstants::TYPE_REFINERY)) )//if grf is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_REFINERY));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_REFINERY));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","6");//pass 6 for grf
 						}
-						else if ( (!Is_Building_Dead(Find_Building(1,BuildingConstants::TYPE_POWER_PLANT))) && (Find_Building(1,BuildingConstants::TYPE_POWER_PLANT)) )//if gpp is alive, target it....
+						else if ( (!Is_Building_Dead(Find_Building_By_Type(1,BuildingConstants::TYPE_POWER_PLANT))) && (Find_Building_By_Type(1,BuildingConstants::TYPE_POWER_PLANT)) )//if gpp is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_POWER_PLANT));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_POWER_PLANT));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","7");//pass 7 for gpp
 						}
@@ -568,27 +768,27 @@
 					if (!Find_Object_With_Script("tcw_wmd_strike"))//if there is no existing strike
 					{
 						//nod buildings attacks:
-						if ( (!Is_Building_Dead(Find_Building(0,BuildingConstants::TYPE_SOLDIER_FACTORY))) && (Find_Building(0,BuildingConstants::TYPE_SOLDIER_FACTORY)) )//if hand is alive, target it....
+						if ( (!Is_Building_Dead(Find_Building_By_Type(0,BuildingConstants::TYPE_SOLDIER_FACTORY))) && (Find_Building_By_Type(0,BuildingConstants::TYPE_SOLDIER_FACTORY)) )//if hand is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_SOLDIER_FACTORY));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_SOLDIER_FACTORY));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","0");//pass 0 for hand
 						}
-						else if ( (!Is_Building_Dead(Find_Building(0,BuildingConstants::TYPE_VEHICLE_FACTORY))) && (Find_Building(0,BuildingConstants::TYPE_VEHICLE_FACTORY)) )//if nwf is alive, target it....
+						else if ( (!Is_Building_Dead(Find_Building_By_Type(0,BuildingConstants::TYPE_VEHICLE_FACTORY))) && (Find_Building_By_Type(0,BuildingConstants::TYPE_VEHICLE_FACTORY)) )//if nwf is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_VEHICLE_FACTORY));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_VEHICLE_FACTORY));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","1");//pass 1 for nwf
 						}
-						else if ( (!Is_Building_Dead(Find_Building(0,BuildingConstants::TYPE_REFINERY))) && (Find_Building(0,BuildingConstants::TYPE_REFINERY)) )//if nrf is alive, target it....
+						else if ( (!Is_Building_Dead(Find_Building_By_Type(0,BuildingConstants::TYPE_REFINERY))) && (Find_Building_By_Type(0,BuildingConstants::TYPE_REFINERY)) )//if nrf is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_REFINERY));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_REFINERY));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","2");//pass 2 for nrf
 						}
-						else if ( (!Is_Building_Dead(Find_Building(0,BuildingConstants::TYPE_POWER_PLANT))) && (Find_Building(0,BuildingConstants::TYPE_POWER_PLANT)) )//if npp is alive, target it....
+						else if ( (!Is_Building_Dead(Find_Building_By_Type(0,BuildingConstants::TYPE_POWER_PLANT))) && (Find_Building_By_Type(0,BuildingConstants::TYPE_POWER_PLANT)) )//if npp is alive, target it....
 						{
-							Vector3 ionarrowpos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_POWER_PLANT));
+							Vector3 ionarrowpos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_POWER_PLANT));
 							GameObject *ionarrow = Commands->Create_Object("Invisible_Object",ionarrowpos);
 							Attach_Script_Once(ionarrow,"tcw_wmd_strike","3");//pass 3 for npp
 						}
@@ -818,14 +1018,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,201);//initate after party
-		Vector3 nukepos; Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_SOLDIER_FACTORY));
+		Vector3 nukepos; Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_SOLDIER_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Pre Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 201)//kill hand and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(0,BuildingConstants::TYPE_SOLDIER_FACTORY),99999.0f,"Steel",obj);//kill the hand
-		Vector3 nukepos; Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_SOLDIER_FACTORY));
+		Commands->Apply_Damage(Find_Building_By_Type(0,BuildingConstants::TYPE_SOLDIER_FACTORY),99999.0f,"Steel",obj);//kill the hand
+		Vector3 nukepos; Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_SOLDIER_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Post Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Destroy_Script();
@@ -835,14 +1035,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,211);//initate after party
-		Vector3 nukepos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_VEHICLE_FACTORY));
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_VEHICLE_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Pre Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 211)//kill hand and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(0,BuildingConstants::TYPE_VEHICLE_FACTORY),999999.0f,"Steel",obj);//kill the hand
-		Vector3 nukepos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_VEHICLE_FACTORY));
+		Commands->Apply_Damage(Find_Building_By_Type(0,BuildingConstants::TYPE_VEHICLE_FACTORY),999999.0f,"Steel",obj);//kill the hand
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_VEHICLE_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Post Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Destroy_Script();
@@ -852,14 +1052,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,221);//initate after party
-		Vector3 nukepos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_REFINERY));
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_REFINERY));
 		GameObject *nuke = Commands->Create_Object("Pre Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 221)//kill nrf and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(0,BuildingConstants::TYPE_REFINERY),999999.0f,"Steel",obj);//kill the nrf
-		Vector3 nukepos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_REFINERY));
+		Commands->Apply_Damage(Find_Building_By_Type(0,BuildingConstants::TYPE_REFINERY),999999.0f,"Steel",obj);//kill the nrf
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_REFINERY));
 		GameObject *nuke = Commands->Create_Object("Post Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Destroy_Script();
@@ -869,14 +1069,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,231);//initate after party
-		Vector3 nukepos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_POWER_PLANT));
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_POWER_PLANT));
 		GameObject *nuke = Commands->Create_Object("Pre Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 231)//kill npp and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(0,BuildingConstants::TYPE_POWER_PLANT),99999.0f,"Steel",obj);//kill the npp
-		Vector3 nukepos = Commands->Get_Position(Find_Building(0,BuildingConstants::TYPE_POWER_PLANT));
+		Commands->Apply_Damage(Find_Building_By_Type(0,BuildingConstants::TYPE_POWER_PLANT),99999.0f,"Steel",obj);//kill the npp
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(0,BuildingConstants::TYPE_POWER_PLANT));
 		GameObject *nuke = Commands->Create_Object("Post Ion Strike",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Destroy_Script();
@@ -887,14 +1087,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,241);//initate after party
-		Vector3 nukepos; Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_SOLDIER_FACTORY));
+		Vector3 nukepos; Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_SOLDIER_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Pre",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 241)//kill bar and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(1,BuildingConstants::TYPE_SOLDIER_FACTORY),99999.0f,"Steel",obj);//kill the bar
-		Vector3 nukepos; Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_SOLDIER_FACTORY));
+		Commands->Apply_Damage(Find_Building_By_Type(1,BuildingConstants::TYPE_SOLDIER_FACTORY),99999.0f,"Steel",obj);//kill the bar
+		Vector3 nukepos; Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_SOLDIER_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Post",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Commands->Start_Timer(obj,this,5.0f,300);
@@ -904,14 +1104,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,251);//initate after party
-		Vector3 nukepos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_VEHICLE_FACTORY));
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_VEHICLE_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Pre",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 251)//kill hand and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(1,BuildingConstants::TYPE_VEHICLE_FACTORY),999999.0f,"Steel",obj);//kill the wf
-		Vector3 nukepos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_VEHICLE_FACTORY));
+		Commands->Apply_Damage(Find_Building_By_Type(1,BuildingConstants::TYPE_VEHICLE_FACTORY),999999.0f,"Steel",obj);//kill the wf
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_VEHICLE_FACTORY));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Post",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Commands->Start_Timer(obj,this,5.0f,300);
@@ -921,14 +1121,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,261);//initate after party
-		Vector3 nukepos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_REFINERY));
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_REFINERY));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Pre",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 261)//kill gref and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(1,BuildingConstants::TYPE_REFINERY),999999.0f,"Steel",obj);//kill the gref
-		Vector3 nukepos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_REFINERY));
+		Commands->Apply_Damage(Find_Building_By_Type(1,BuildingConstants::TYPE_REFINERY),999999.0f,"Steel",obj);//kill the gref
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_REFINERY));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Post",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Commands->Start_Timer(obj,this,5.0f,300);
@@ -938,14 +1138,14 @@
 	{
 		Commands->Send_Custom_Event(obj,Find_Object_With_Script("tcw_wmd_countdown_node"),1111,1,0);//reset the capture point
 		Commands->Start_Timer(obj,this,10.5f,271);//initate after party
-		Vector3 nukepos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_POWER_PLANT));
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_POWER_PLANT));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Pre",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 	}
 	else if (number == 271)//kill gpp and play afterparty
 	{
-		Commands->Apply_Damage(Find_Building(1,BuildingConstants::TYPE_POWER_PLANT),99999.0f,"Steel",obj);//kill the gpp
-		Vector3 nukepos = Commands->Get_Position(Find_Building(1,BuildingConstants::TYPE_POWER_PLANT));
+		Commands->Apply_Damage(Find_Building_By_Type(1,BuildingConstants::TYPE_POWER_PLANT),99999.0f,"Steel",obj);//kill the gpp
+		Vector3 nukepos = Commands->Get_Position(Find_Building_By_Type(1,BuildingConstants::TYPE_POWER_PLANT));
 		GameObject *nuke = Commands->Create_Object("Nuke_Strike_Post",nukepos);
 		Commands->Set_Facing(nuke,0.0f);
 		Commands->Start_Timer(obj,this,5.0f,300);
